VkRenderPassCreateInfo Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkRenderPassCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkRenderPassCreateFlags | flags
uint32_t | attachmentCount
const VkAttachmentDescription * | pAttachments
uint32_t | subpassCount
const VkSubpassDescription * | pSubpasses
uint32_t | dependencyCount
const VkSubpassDependency * | pDependencies

## Detailed Description

Definition at line 2658 of file vulkan_core.h.

## Field Documentation

## attachmentCount

uint32_t VkRenderPassCreateInfo::attachmentCount

Definition at line 2662 of file vulkan_core.h.

## dependencyCount

uint32_t VkRenderPassCreateInfo::dependencyCount

Definition at line 2666 of file vulkan_core.h.

## flags

VkRenderPassCreateFlags VkRenderPassCreateInfo::flags

Definition at line 2661 of file vulkan_core.h.

## pAttachments

const VkAttachmentDescription* VkRenderPassCreateInfo::pAttachments

Definition at line 2663 of file vulkan_core.h.

## pDependencies

const VkSubpassDependency* VkRenderPassCreateInfo::pDependencies

Definition at line 2667 of file vulkan_core.h.

## pNext

const void* VkRenderPassCreateInfo::pNext

Definition at line 2660 of file vulkan_core.h.

## pSubpasses

const VkSubpassDescription* VkRenderPassCreateInfo::pSubpasses

Definition at line 2665 of file vulkan_core.h.

## sType

VkStructureType VkRenderPassCreateInfo::sType

Definition at line 2659 of file vulkan_core.h.

## subpassCount

uint32_t VkRenderPassCreateInfo::subpassCount

Definition at line 2664 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h